cURL
curl --request GET \
--url https://api.invopop.com/transform/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/transform/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"list": [
{
"id": "2b467620-4470-11f1-a2d4-d9f6d57a55c9",
"created_at": "2026-04-30T08:39:57.933Z",
"updated_at": "2026-04-30T08:39:58.102Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "46e84a39-72cc-40ba-9b32-ac0feefa4833",
"status": "OK",
"completed_at": "2026-04-30T08:39:58.102Z"
},
{
"id": "13cc2d50-4470-11f1-abaa-a9921bf464d3",
"created_at": "2026-04-30T08:39:18.549Z",
"updated_at": "2026-04-30T08:39:22.938Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "92191cd1-89f0-4a40-8c7a-62903b890995",
"status": "ERR"
}
],
"limit": 10,
"cursor": "eyJjYXQiOiIyMDI2LTA0LTMwVDEwOjQ5OjAxLjA4MVoifQ",
"next_cursor": "eyJjYXQiOiIyMDI2LTA0LTI5VDExOjExOjIxLjMxMFoifQ"
}
Jobs
Fetch all jobs
Fetch all jobs in the current workspace.
GET
/
transform
/
v1
/
jobs
cURL
curl --request GET \
--url https://api.invopop.com/transform/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/transform/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/transform/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/transform/v1/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/transform/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"list": [
{
"id": "2b467620-4470-11f1-a2d4-d9f6d57a55c9",
"created_at": "2026-04-30T08:39:57.933Z",
"updated_at": "2026-04-30T08:39:58.102Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "46e84a39-72cc-40ba-9b32-ac0feefa4833",
"status": "OK",
"completed_at": "2026-04-30T08:39:58.102Z"
},
{
"id": "13cc2d50-4470-11f1-abaa-a9921bf464d3",
"created_at": "2026-04-30T08:39:18.549Z",
"updated_at": "2026-04-30T08:39:22.938Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "92191cd1-89f0-4a40-8c7a-62903b890995",
"status": "ERR"
}
],
"limit": 10,
"cursor": "eyJjYXQiOiIyMDI2LTA0LTMwVDEwOjQ5OjAxLjA4MVoifQ",
"next_cursor": "eyJjYXQiOiIyMDI2LTA0LTI5VDExOjExOjIxLjMxMFoifQ"
}
{
"list": [
{
"id": "2b467620-4470-11f1-a2d4-d9f6d57a55c9",
"created_at": "2026-04-30T08:39:57.933Z",
"updated_at": "2026-04-30T08:39:58.102Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "46e84a39-72cc-40ba-9b32-ac0feefa4833",
"status": "OK",
"completed_at": "2026-04-30T08:39:58.102Z"
},
{
"id": "13cc2d50-4470-11f1-abaa-a9921bf464d3",
"created_at": "2026-04-30T08:39:18.549Z",
"updated_at": "2026-04-30T08:39:22.938Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "92191cd1-89f0-4a40-8c7a-62903b890995",
"status": "ERR"
}
],
"limit": 10,
"cursor": "eyJjYXQiOiIyMDI2LTA0LTMwVDEwOjQ5OjAxLjA4MVoifQ",
"next_cursor": "eyJjYXQiOiIyMDI2LTA0LTI5VDExOjExOjIxLjMxMFoifQ"
}
Authorizations
Query Parameters
Response
200 - application/json
OK
Was this page helpful?